WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.

Moo Collapsing Archives

This plugin uses Javascript based on MooTools framework to dynamically expand or collapse the yearly/monthly post archive listing.

IMPORTANT! Please deactivate before upgrading, then re-activate the plugin.

MANUAL INSTALLATION

Unpack the contents to wp-content/plugins/ so that the files are in a collapsing-archives directory. Now enable the plugin. To use the plugin, change the following here appropriate (most likely sidebar.php):

Change From:

<ul>
 `<?php wp_get_archives(); ?>`
</ul>

To something of the following:

<?php
     if( function_exists('collapsArch') ) {
      collapsArch();
     } else {
      echo "<ul>\n";
      wp_get_archives();
      echo "</ul>\n";
     }
    ?>

You can specify options for collapsArch. See options section.

WIDGET INSTALLATION

For those who have widget capabilities, (default in WordPress 2.3+), installation is easier.

Unzip contents to wp-content/plugins/ so that the files are in a mootools-collapsing-archives/ directory. You must enable the plugin, then simply go the Presentation > Widgets section and add the Widget.

Requires: 2.8 or higher
Compatible up to: 4.4.5
Last Updated: 10 months ago
Active Installs: 400+

Ratings

0 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1
100,1,1 100,1,1 100,2,2
0,1,0
100,1,1
100,1,1
50,2,1
100,1,1 0,1,0
0,1,0